curl --request PUT \
--url https://partner.peaka.studio/api/v1/connections/{projectId}/{connectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "exampleHubspotConnection",
"type": "hubspot",
"credential": {
"clientId": "15d6b8c5-48ea-4955-8ce5-d04bb9adad25",
"clientSecret": "64d70b56-ae19-4fee-9fa2-3e9113bcb202",
"refreshToken": "eu1-eae3-1af4-583d-91d4-f6414699feea"
}
}
'{
"id": "8db17e23-29de-4dab-8886-af9717e0e742",
"name": "exampleAirtableConnection",
"type": "airtable"
}Update Connection
Updates the specified Connection. You can modify the name, credentials, or other parameters. The request body follows the same structure as the Create Connection endpoint.
curl --request PUT \
--url https://partner.peaka.studio/api/v1/connections/{projectId}/{connectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "exampleHubspotConnection",
"type": "hubspot",
"credential": {
"clientId": "15d6b8c5-48ea-4955-8ce5-d04bb9adad25",
"clientSecret": "64d70b56-ae19-4fee-9fa2-3e9113bcb202",
"refreshToken": "eu1-eae3-1af4-583d-91d4-f6414699feea"
}
}
'{
"id": "8db17e23-29de-4dab-8886-af9717e0e742",
"name": "exampleAirtableConnection",
"type": "airtable"
}Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
ID of the project
ID of the connection
Body
Connection Request
Name of the connection given by the user
Type of connection.
Example: airtable for AirTable, stripe for Stripe, hubspot_access_token for HubSpot (with Access Token), etc.
Exact list can be fetched by following url: /connections/config
Credential object for the connection.
Its structure is dependent on the connection type and can be fetched by following url: /connections/config
The url to redirect to after an oauth connection is established.
Response
Connection updated successfully
Connection ID
Name of the connection
Type of connection.
Example: airtable for AirTable, stripe for Stripe, hubspot_access_token for HubSpot (with Access Token), etc.
Exact list can be fetched by following url: /connections/config
Oauth callback url if the connection is Oauth based.